Skip to main content
POST
Sign in with a code

Body

application/json
code
string
required

A 45-character verification code. For magic links, this is the code found in the "code" URL query parameter. For OTP, this is formed by concatenating the 6-digit code entered by the user with the nonce (received during code creation)

Example:

"u3h6gn4w24pqc8ya679inrhjwh1rybth6a7thurqhnpf2"

Response

200 - application/json

Successful response

refresh_token
string
required

Long-lived refresh token that can be used to obtain a new access token

Example:

"i8ns3aq2...14y"

access_token
string
required

Short-lived access token that can be used to authenticate the user

Example:

"eyJhmMiJB2TO...diI4QT"

is_new_user
boolean
required

Whether the user is a new user

Example:

true

user_id
string
required

The unique identifier of the user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"